package main

import "fmt"
import "time"

func main() {
	t := time.Now()
	fmt.Println("It's",t)

	// switch syntax
	// evaluate cases top-down, first encountered is taken
	// !! unless fallthrough is used the other cases are not considered
	fmt.Println("When's Saturday?")
	today := t.Weekday()
	switch time.Saturday {
	case today + 0:
		println("Today.")
	case today + 1:
		println("Tomorrow.")
	// possibly a default case
	default:
		println("Too far away.")
	}

	// switch can be used without condition
	switch {
	case t.Hour() < 12:
		println("Good morning!")
	case t.Hour() < 17:
		println("Good afternoon.")
	default:
		println("Good evening.")
	}
}
