package main

import "fmt"

func main() {
	// Go has pointers, but no pointer arithmetic
	i := 4
	println("i is", i) // see the initial value of i
	p := &i
	fmt.Printf("p is %v (%T)\n", p, p)
	fmt.Printf("*p is %v (%T)\n", *p, *p)
	*p = 21            // set i through the pointer
	println("i is", i) // see the new value of i

}
