package main

const N = 3
const M = 10

func Send(c chan<- int, done chan<- bool) {
	for i := 1; i < M; i++ {
		println("sending", i)
		c <- i
	}
	done <- true
}

func Rec(c <-chan int, d <-chan bool, k int, done chan<- bool) {
	for k > 0 {
		select {
		case n := <-c:
			println("got", n)
		case <-d:
			k--
		}
	}
	done <- true
}

func main() {
	c := make(chan int)
	d := make(chan bool)
	done := make(chan bool)
	for i := 0; i < N; i++ {
		go Send(c, d)
	}
	go Rec(c, d, N, done)
	<-done
}
